Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.author
Class AuthorImpl

    java.lang.Object
      EntityObject
          com.atlassian.bamboo.core.BambooEntityObject
              com.atlassian.bamboo.author.AuthorImpl

All Implemented Interfaces:
  Author, ExtendedAuthor, BambooObject, Comparable

    public class AuthorImpl

extends BambooEntityObject
implements ExtendedAuthor

Field Summary

Fields inherited from class com.atlassian.bamboo.core.BambooEntityObject
`id`

Constructor Summary
`AuthorImpl()`
`AuthorImpl(String name)`

Method Summary
`int` | `compareTo(Object obj)`
`boolean` | `equals(Object o)`
`List` | `getBreakages()` Get the build results broken by the author.
`List` | `getCommits()`
`ExtendedAuthorManager` | `getExtendedAuthorManager()`
`List` | `getFailedBuilds()` Gets all the builds triggered by the author that failed.
`List` | `getFixes()` Get the build results fixed by the author A build is deemed fixed by the author if the build they triggered was succesful and the previous one failed.
`String` | `getFullName()` Get a full name for display purposes
`String` | `getLinkedUserName()`
`String` | `getName()` Unique name identifying an author.
`List` | `getSuccessfulBuilds()` Gets all the builds triggered by the author that was successful.
`List` | `getTriggeredBuildResults()` Gets all builds tirggered by the author
`int` | `hashCode()`
`void` | `setBambooUserManager(BambooUserManager bambooUserManager)`
`void` | `setBreakages(List breakages)`
`void` | `setCommits(List commits)`
`void` | `setExtendedAuthorManager(ExtendedAuthorManager extendedAuthorManager)`
`void` | `setFailedBuilds(List failedBuilds)`
`void` | `setFixes(List fixes)`
`void` | `setLinkedUserName(String linkedUserName)`
`void` | `setName(String name)`
`void` | `setSuccessfulBuilds(List successfulBuilds)`
`void` | `setTriggeredBuildResults(List triggeredBuildResults)`

Methods inherited from class com.atlassian.bamboo.core.BambooEntityObject
`getId, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.core.BambooObject
`getId, setId`

Constructor Detail

### AuthorImpl

    public AuthorImpl()

### AuthorImpl

    public AuthorImpl(String name)

Method Detail

### getName

    public String getName()

  Description copied from interface: `Author`
  Unique name identifying an author.

  Specified by:
    `getName` in interface `Author`
  Returns:
    identifying alias

### setName

    public void setName(String name)

### getFullName

    public String getFullName()

  Description copied from interface: `Author`
  Get a full name for display purposes

  Specified by:
    `getFullName` in interface `Author`
  Returns:
    full name

### getBreakages

    public List getBreakages()

  Description copied from interface: `Author`
  Get the build results broken by the author. A build is deemed broken by the author if the build they triggered failed and the previous one was succesful.

  Specified by:
    `getBreakages` in interface `Author`
  Returns:
    a `List` of `BuildResultsSummary`

### setBreakages

    public void setBreakages(List breakages)

### getFixes

    public List getFixes()

  Description copied from interface: `Author`
  Get the build results fixed by the author A build is deemed fixed by the author if the build they triggered was succesful and the previous one failed.

  Specified by:
    `getFixes` in interface `Author`
  Returns:
    a `List` of `BuildResultsSummary`

### setFixes

    public void setFixes(List fixes)

### getSuccessfulBuilds

    public List getSuccessfulBuilds()

  Description copied from interface: `Author`
  Gets all the builds triggered by the author that was successful.

  Specified by:
    `getSuccessfulBuilds` in interface `Author`
  Returns:
    a `List` of `BuildResultsSummary`

### setSuccessfulBuilds

    public void setSuccessfulBuilds(List successfulBuilds)

### getFailedBuilds

    public List getFailedBuilds()

  Description copied from interface: `Author`
  Gets all the builds triggered by the author that failed.

  Specified by:
    `getFailedBuilds` in interface `Author`
  Returns:
    a `List` of `BuildResultsSummary`

### setFailedBuilds

    public void setFailedBuilds(List failedBuilds)

### getTriggeredBuildResults

    public List getTriggeredBuildResults()

  Description copied from interface: `Author`
  Gets all builds tirggered by the author

  Specified by:
    `getTriggeredBuildResults` in interface `Author`
  Returns:
    a `List` of `BuildResultsSummary`

### setTriggeredBuildResults

    public void setTriggeredBuildResults(List triggeredBuildResults)

### getCommits

    public List getCommits()

  Specified by:
    `getCommits` in interface `ExtendedAuthor`

### setCommits

    public void setCommits(List commits)

### getLinkedUserName

    public String getLinkedUserName()

  Specified by:
    `getLinkedUserName` in interface `ExtendedAuthor`

### setLinkedUserName

    public void setLinkedUserName(String linkedUserName)

  Specified by:
    `setLinkedUserName` in interface `ExtendedAuthor`

### getExtendedAuthorManager

    public ExtendedAuthorManager getExtendedAuthorManager()

### setExtendedAuthorManager

    public void setExtendedAuthorManager(ExtendedAuthorManager extendedAuthorManager)

### setBambooUserManager

    public void setBambooUserManager(BambooUserManager bambooUserManager)

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object o)

### compareTo

    public int compareTo(Object obj)

  Specified by:
    `compareTo` in interface `Comparable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.